aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSlackCoder <slackcoder@server.ky>2022-01-26 10:18:06 -0500
committerSlackCoder <slackcoder@server.ky>2022-01-26 10:18:06 -0500
commitbf761f5c8e181382d051624815fa79c81b08854c (patch)
tree139f2f079907419302532739c9fb62d2588690cb
parentfc6316f04f759dcd3bb45789ca1e2e31670126f4 (diff)
downloadslackbuilds-bf761f5c8e181382d051624815fa79c81b08854c.tar.xz
add zoom-linux
-rw-r--r--zoom-linux/README13
-rw-r--r--zoom-linux/application-x-zoom.pngbin0 -> 5573 bytes
-rw-r--r--zoom-linux/doinst.sh17
-rw-r--r--zoom-linux/slack-desc19
-rw-r--r--zoom-linux/zoom-linux.SlackBuild112
-rw-r--r--zoom-linux/zoom-linux.desktop13
-rw-r--r--zoom-linux/zoom-linux.info10
-rw-r--r--zoom-linux/zoom-linux.pngbin0 -> 5573 bytes
-rw-r--r--zoom-linux/zoom-linux.xml7
9 files changed, 191 insertions, 0 deletions
diff --git a/zoom-linux/README b/zoom-linux/README
new file mode 100644
index 0000000..a4f44b0
--- /dev/null
+++ b/zoom-linux/README
@@ -0,0 +1,13 @@
+zoom-linux (Video conferencing client)
+
+Stay connected wherever you go – start or join a 100-person meeting
+with crystal-clear, face-to-face video, high quality screen sharing,
+and instant messaging – for free!
+
+Features
+* Screen sharing
+* Join as interactive participant or view-only webinar attendee
+* Instant messaging
+
+Join any meeting and host unlimited 1:1 meetings for free. Free group
+meetings are limited to 40 minutes.
diff --git a/zoom-linux/application-x-zoom.png b/zoom-linux/application-x-zoom.png
new file mode 100644
index 0000000..dc7d047
--- /dev/null
+++ b/zoom-linux/application-x-zoom.png
Binary files differ
diff --git a/zoom-linux/doinst.sh b/zoom-linux/doinst.sh
new file mode 100644
index 0000000..f355da8
--- /dev/null
+++ b/zoom-linux/doinst.sh
@@ -0,0 +1,17 @@
+if [ -x /usr/bin/xdg-mime ]; then
+ /usr/bin/xdg-mime install /usr/share/mime/packages/zoom-linux.xml
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/zoom-linux/slack-desc b/zoom-linux/slack-desc
new file mode 100644
index 0000000..3b2bfaa
--- /dev/null
+++ b/zoom-linux/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zoom-linux: zoom-linux (Video conferencing client)
+zoom-linux:
+zoom-linux: Stay connected wherever you go – start or join a 100-person
+zoom-linux: meeting with crystal-clear, face-to-face video, high quality
+zoom-linux: screen sharing, and instant messaging – for free!
+zoom-linux:
+zoom-linux: Join any meeting and host unlimited 1:1 meetings for free.
+zoom-linux: Free group meetings are limited to 40 minutes.
+zoom-linux:
+zoom-linux: Website: https://www.zoom.us/
+zoom-linux:
diff --git a/zoom-linux/zoom-linux.SlackBuild b/zoom-linux/zoom-linux.SlackBuild
new file mode 100644
index 0000000..a5f5f48
--- /dev/null
+++ b/zoom-linux/zoom-linux.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+#
+# Slackware build script for zoom-linux
+#
+# Copyright 2018-2021 Ebben Aries <slackbuilds@dscp.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=zoom-linux
+VERSION=${VERSION:-5.9.3.1911} # may be overridden by source!
+SRCNAM=zoom
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case "$ARCH" in
+ x86_64)
+ SRC="${SRCNAM}_x86_64"
+ ;;
+ i586)
+ SRC="${SRCNAM}_i686"
+ ;;
+ i686)
+ SRC="${SRCNAM}_i686"
+ ;;
+ *)
+ echo "$ARCH is not supported."
+ exit 1
+ ;;
+esac
+
+VERSION=$(tar JxOf $SRC.tar.xz zoom/version.txt)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRC.tar.xz
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a * $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+cd $PKG/usr/bin
+ln -sf /opt/zoom-linux/ZoomLauncher zoom-linux
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications/
+install -D -m644 $CWD/zoom-linux.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/usr/share/pixmaps/
+cp $CWD/zoom-linux.png $PKG/usr/share/pixmaps/
+cp $CWD/application-x-zoom.png $PKG/usr/share/pixmaps/
+
+mkdir -p $PKG/usr/share/mime/packages/
+cp $CWD/zoom-linux.xml $PKG/usr/share/mime/packages/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/zoom-linux/zoom-linux.desktop b/zoom-linux/zoom-linux.desktop
new file mode 100644
index 0000000..78f2426
--- /dev/null
+++ b/zoom-linux/zoom-linux.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Name=Zoom
+Comment=Zoom Video Conference
+Exec=/usr/bin/zoom-linux %U
+Icon=zoom-linux
+Terminal=false
+Type=Application
+Encoding=UTF-8
+Categories=Network;Application;
+StartupWMClass=zoom
+MimeType=x-scheme-handler/zoommtg;application/x-zoom;
+X-KDE-Protocols=zoommtg
+Name[en_US]=Zoom
diff --git a/zoom-linux/zoom-linux.info b/zoom-linux/zoom-linux.info
new file mode 100644
index 0000000..6f7967d
--- /dev/null
+++ b/zoom-linux/zoom-linux.info
@@ -0,0 +1,10 @@
+PRGNAM="zoom-linux"
+VERSION="5.9.3.1911"
+HOMEPAGE="https://www.zoom.us/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://cdn.zoom.us/prod/5.9.3.1911/zoom_x86_64.pkg.tar.xz"
+MD5SUM_x86_64="cfb53dfcc0e4602a048c29f190bf1efa"
+REQUIRES=""
+MAINTAINER="Ebben Aries"
+EMAIL="slackbuilds@dscp.org"
diff --git a/zoom-linux/zoom-linux.png b/zoom-linux/zoom-linux.png
new file mode 100644
index 0000000..dc7d047
--- /dev/null
+++ b/zoom-linux/zoom-linux.png
Binary files differ
diff --git a/zoom-linux/zoom-linux.xml b/zoom-linux/zoom-linux.xml
new file mode 100644
index 0000000..38d4616
--- /dev/null
+++ b/zoom-linux/zoom-linux.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
+ <mime-type type="application/x-zoom">
+ <comment>Zoom Recording File</comment>
+ <glob pattern="*.zoom"/>
+ </mime-type>
+</mime-info>